DataStorageTransferAsyncHandler (The Data Transfer Agent Service 2.1.3-4.7.1-132914 API)
Date: 2017-10-17

org.gcube.datatransfer.agent.impl.handlers

## Class DataStorageTransferAsyncHandler

- java.lang.Object
- - org.gcube.datatransfer.agent.impl.handlers.TransferHandler
  - - org.gcube.datatransfer.agent.impl.handlers.DataStorageTransferAsyncHandler

- All Implemented Interfaces:
    Runnable

      public class DataStorageTransferAsyncHandler
      extends TransferHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `bufferSize`
    `protected String[]` | `outputFiles`

    - ### Fields inherited from class org.gcube.datatransfer.agent.impl.handlers.TransferHandler

      `destData, endIndex, errorHappened, inputFiles, logger, outPath, startIndex, timeout, transferId, transferType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataStorageTransferAsyncHandler(String[] inputFiles, String[] outputFiles, String transferId, org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType type, org.gcube.datatransfer.agent.stubs.datatransferagent.DestData data, int startIndex, int endIndex)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static URI` | `fixFileURL(URL u)`
    `void` | `run()`

    - ### Methods inherited from class org.gcube.datatransfer.agent.impl.handlers.TransferHandler

      `getTransferObjList, isErrorHappened, setTransferObj`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bufferSize

          public static int bufferSize

    - #### outputFiles

          protected String[] outputFiles

  - ### Constructor Detail

    - #### DataStorageTransferAsyncHandler

          public DataStorageTransferAsyncHandler(String[] inputFiles,
                                         String[] outputFiles,
                                         String transferId,
                                         org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType type,
                                         org.gcube.datatransfer.agent.stubs.datatransferagent.DestData data,
                                         int startIndex,
                                         int endIndex)
                                          throws org.apache.commons.vfs2.FileSystemException

      Throws:
        `org.apache.commons.vfs2.FileSystemException`

  - ### Method Detail

    - #### run

          public void run()

    - #### fixFileURL

          public static URI fixFileURL(URL u)

Copyright © 2017. All Rights Reserved.